<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage nova-autocare
 * @since nova-autocare 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function nova_autocare_customize_register( $wp_customize ) {
    // Check for existence of WP_Customize_Manager before proceeding
	if ( ! class_exists( 'WP_Customize_Manager' ) ) {
        return;
    }
    
    // Add the "Go to Premium" upsell section
	$wp_customize->add_section( new Nova_Autocare_Upsell_Section( $wp_customize, 'upsell_premium_section', array(
		'title'       => __( 'Nova Autocare', 'nova-autocare' ),
		'button_text' => __( 'GO TO PREMIUM', 'nova-autocare' ),
		'url'         => esc_url( NOVA_AUTOCARE_PREMIUM_PAGE ),
		'priority'    => 0,
	)));
}
add_action( 'customize_register', 'nova_autocare_customize_register' );

if ( class_exists( 'WP_Customize_Section' ) ) {
	class Nova_Autocare_Upsell_Section extends WP_Customize_Section {
		public $type = 'nova-autocare-upsell';
		public $button_text = '';
		public $url = '';

		protected function render() {
			?>
			<li id="accordion-section-<?php echo esc_attr( $this->id ); ?>" class="nova_autocare_upsell_section accordion-section control-section control-section-<?php echo esc_attr( $this->id ); ?> cannot-expand">
				<h3 class="accordion-section-title premium-details">
					<?php echo esc_html( $this->title ); ?>
					<a href="<?php echo esc_url( $this->url ); ?>" class="button button-secondary alignright" target="_blank"><?php echo esc_html( $this->button_text ); ?></a>
				</h3>
			</li>
			<?php
		}
	}
}

/**
 * Enqueue script for custom customize control.
 */
function nova_autocare_custom_control_scripts() {
	wp_enqueue_script( 'nova-autocare-custom-controls-js', get_template_directory_uri() . '/inc/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );

    wp_enqueue_style( 'nova-autocare-customizer-css', get_template_directory_uri() . '/inc/customizer.css', array(), '1.0' );
}
add_action( 'customize_controls_enqueue_scripts', 'nova_autocare_custom_control_scripts' );
